{-# LANGUAGE OverloadedStrings #-}

import Data.GI.CodeGen.CabalHooks (setupBinding, TaggedOverride(..))

import qualified GI.GLib.Config as GLib
import qualified GI.GObject.Config as GObject
import qualified GI.Gst.Config as Gst
import qualified GI.GstBase.Config as GstBase


main :: IO ()
main = setupBinding name version pkgName pkgVersion verbose overridesFile inheritedOverrides outputDir
  where name = "GstVideo"
        version = "1.0"
        pkgName = "gi-gstvideo"
        pkgVersion = "1.0.28"
        overridesFile = Just "GstVideo.overrides"
        verbose = False
        outputDir = Nothing
        inheritedOverrides = [TaggedOverride "inherited:GLib" GLib.overrides, TaggedOverride "inherited:GObject" GObject.overrides, TaggedOverride "inherited:Gst" Gst.overrides, TaggedOverride "inherited:GstBase" GstBase.overrides]
